Loading...
Searching...
No Matches
mbedtls_ssl_cache_context Struct Reference

Cache context. More...

`#include <ssl_cache.h>`

Collaboration diagram for mbedtls_ssl_cache_context:
[legend]

## Data Fields

mbedtls_ssl_cache_entry * | private_chain
int | private_timeout
int | private_max_entries
mbedtls_threading_mutex_t | private_mutex

## Detailed Description

Cache context.

Definition at line 67 of file ssl_cache.h.

## Field Documentation

## private_chain

mbedtls_ssl_cache_entry* mbedtls_ssl_cache_context::private_chain

start of the chain

Definition at line 68 of file ssl_cache.h.

## private_max_entries

int mbedtls_ssl_cache_context::private_max_entries

maximum entries

Definition at line 70 of file ssl_cache.h.

## private_mutex

mbedtls_threading_mutex_t mbedtls_ssl_cache_context::private_mutex

mutex

Definition at line 72 of file ssl_cache.h.

## private_timeout

int mbedtls_ssl_cache_context::private_timeout

cache entry timeout

Definition at line 69 of file ssl_cache.h.

The documentation for this struct was generated from the following file:

- ssl_cache.h